import { MultiLanguageString } from '@vivocha/public-entities/dist/language';
export declare function fetchStrings(path: string, global: boolean): Promise<MultiLanguageString[]>;
export declare function uploadString(str: MultiLanguageString, global: boolean): Promise<MultiLanguageString>;
export declare function fetchWidgetStrings(widgetId: string, global: boolean): Promise<MultiLanguageString[]>;
export declare function uploadWidgetString(widgetId: string, str: MultiLanguageString, global: boolean): Promise<string>;
export declare function uploadWidgetStringChanges(widgetId: string, newStrings: MultiLanguageString[], global: boolean): Promise<string[]>;
export declare function uploadStringChanges(newStrings: MultiLanguageString[], global: boolean): Promise<string[]>;
export declare function importPOFiles(files: string[], mergeTo: MultiLanguageString[], filter?: string): Promise<MultiLanguageString[]>;
export declare function exportPOFiles(source_language: string, files: string[], project: string, language: string, prefix: string, basename: string, referenceLanguage?: string): Promise<void>;
