#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const config_1 = require("./lib/config");
program
    .version(config_1.meta.version)
    .description(config_1.meta.description)
    .command('info', 'Print info on the currently logged in user')
    .command('login', 'Login to you Vivocha account')
    .command('logout', 'Logout from your Vivocha account')
    .command('widget', 'Manage engagement widgets')
    .command('strings', 'Manage translation strings')
    .parse(process.argv);
//# sourceMappingURL=vvc.js.map